# TestableMock

换种思路写Mock，让单元测试更简单。

无需初始化，不挑测试框架，甭管要换的方法是被测类的私有方法、静态方法还是其他任何类的成员方法，也甭管要换的对象是怎么创建的。写好Mock方法，加个`@TestableMock`注解，一切统统搞定。

文档：https://alibaba.github.io/testable-mock/

## 目录结构

```bash
|-- testable-core         ➜ 核心组件，提供注解和工具类
|-- testable-processor    ➜ 编译期代码预处理组件，提供测试辅助功能
|-- testable-agent        ➜ JavaAgent组件，提供Mock测试相关功能
|-- testable-maven-plugin ➜ Maven插件组件，用于简化JavaAgent注入
|-- demo
|   |-- java-demo         ➜ Java语言的示例代码
|   `-- kotlin-demo       ➜ Kotlin语言的示例代码
`-- docs                  ➜ 项目使用文档
```

## 构建项目

主项目使用JDK 1.6+和Maven 3+版本构建，其中`demo`子项目需要JDK 1.8+版本。

```bash
mvn clean install
```

## 本地生成文档

```bash
docsify serve docs
```

> Testable文档使用`docsify`工具生成，构建前请安装[nodejs](https://nodejs.org/en/download/)运行时，并使用`npm install -g docsify`命令安装文档生成工具。

